#include "MenuTextSwitchMc_Player2Joystick.h"

InputSetting_Joystick* MenuTextSwitchMc_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSwitchMc_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_switchMc;
}

std::weak_ptr<Entity> MenuTextSwitchMc_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextSwitchMc_Player2Joystick()
{
	return std::make_shared<MenuTextSwitchMc_Player2Joystick>();
}


